# Uses of Interface
org.bukkit.entity.ThrownPotion

Packages that use ThrownPotion
Package
Description
io.papermc.paper.event.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of ThrownPotion in io.papermc.paper.event.entity

Constructors in io.papermc.paper.event.entity with parameters of type ThrownPotion
Modifier
Constructor
Description
``
`WaterBottleSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities, @NotNull Set<LivingEntity> rehydrate, @NotNull Set<LivingEntity> extinguish)`

## Uses of ThrownPotion in org.bukkit.entity

Subinterfaces of ThrownPotion in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`LingeringPotion`
Deprecated, for removal: This API element is subject to removal in a future version.
should not be used for anything, use `ThrownPotion` and set the potion via the methods there.
`interface`
`SplashPotion`
Deprecated, for removal: This API element is subject to removal in a future version.
should not be used for anything, use `ThrownPotion` and set the potion via the methods there.

## Uses of ThrownPotion in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return ThrownPotion
Modifier and Type
Method
Description
`@NotNull ThrownPotion`
LingeringPotionSplashEvent.`getEntity()`
`@NotNull ThrownPotion`
PotionSplashEvent.`getEntity()`
`@NotNull ThrownPotion`
PotionSplashEvent.`getPotion()`
Gets the potion which caused this event
Constructors in org.bukkit.event.entity with parameters of type ThrownPotion
Modifier
Constructor
Description
``
`LingeringPotionSplashEvent(@NotNull ThrownPotion potion, @NotNull AreaEffectCloud entity)`
``
`PotionSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities)`